Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1072068 - Fail to upgrade rhevm-3.3.1-0.48.el6ev.noarch to rhevm-3.4 due to rhevm-setup-plugin-ovirt-engine conflicts with rhevm-3.3.1-0.48.el6ev.noarch
Summary: Fail to upgrade rhevm-3.3.1-0.48.el6ev.noarch to rhevm-3.4 due to rhevm-setup...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Martin Pavlik
URL:
Whiteboard: integration
Depends On:
Blocks: 1052199 1071020 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-03-03 20:14 UTC by Tareq Alayan
Modified: 2014-09-18 12:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Tareq Alayan 2014-03-03 20:14:22 UTC
Description of problem:
Fail to upgrade from 3.3.1 to 3.4 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install rhevm 3.3.1-0.48.el6ev
2. Executes yum -y rhevm-setup


Actual results:
 Setting up Update Process
 Resolving Dependencies
 --> Running transaction check
 ---> Package rhevm-setup.noarch 0:3.3.1-0.48.el6ev will be updated
 ---> Package rhevm-setup.noarch 0:3.4.0-0.3.master.el6ev will be an update
 --> Processing Dependency: rhevm-setup-plugin-ovirt-engine = 3.4.0-0.3.master.el6ev for package: rhevm-setup-3.4.0-0.3.master.el6ev.noarch
 --> Processing Dependency: rhevm-setup-plugins >= 3.4.0-0.0.master.20140203101756 for package: rhevm-setup-3.4.0-0.3.master.el6ev.noarch
 --> Running transaction check
 ---> Package rhevm-setup-plugin-ovirt-engine.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm-setup-plugin-ovirt-engine-common = 3.4.0-0.3.master.el6ev for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 --> Processing Dependency: rhevm >= 3.3.2 for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 ---> Package rhevm-setup-plugins.noarch 0:3.3.1-1.el6ev will be updated
 ---> Package rhevm-setup-plugins.noarch 0:3.4.0-0.0.master.20140207125249.el6_5 will be an update
 --> Running transaction check
 ---> Package rhevm-setup-plugin-ovirt-engine.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm >= 3.3.2 for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 ---> Package rhevm-setup-plugin-ovirt-engine-common.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm-setup-base = 3.4.0-0.3.master.el6ev for package: rhevm-setup-plugin-ovirt-engine-common-3.4.0-0.3.master.el6ev.noarch
 --> Running transaction check
 ---> Package rhevm-setup-base.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm-lib >= 3.4.0-0.3.master.el6ev for package: rhevm-setup-base-3.4.0-0.3.master.el6ev.noarch
 --> Processing Dependency: otopi >= 1.2.0 for package: rhevm-setup-base-3.4.0-0.3.master.el6ev.noarch
 ---> Package rhevm-setup-plugin-ovirt-engine.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm >= 3.3.2 for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 --> Running transaction check
 ---> Package otopi.noarch 0:1.1.2-1.el6ev will be updated
 --> Processing Dependency: otopi = 1.1.2-1.el6ev for package: otopi-java-1.1.2-1.el6ev.noarch
 ---> Package otopi.noarch 0:1.2.0-0.0.master.el6_5 will be an update
 ---> Package rhevm-lib.noarch 0:3.3.1-0.48.el6ev will be updated
 ---> Package rhevm-lib.noarch 0:3.4.0-0.3.master.el6ev will be an update
 ---> Package rhevm-setup-plugin-ovirt-engine.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm >= 3.3.2 for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 --> Running transaction check
 ---> Package otopi-java.noarch 0:1.1.2-1.el6ev will be updated
 ---> Package otopi-java.noarch 0:1.2.0-0.0.master.el6_5 will be an update
 ---> Package rhevm-setup-plugin-ovirt-engine.noarch 0:3.4.0-0.3.master.el6ev will be installed
 --> Processing Dependency: rhevm >= 3.3.2 for package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch
 --> Processing Conflict: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch conflicts rhevm < 3.3.2
 --> Finished Dependency Resolution
 Error: Package: rhevm-setup-plugin-ovirt-engine-3.4.0-0.3.master.el6ev.noarch (rhevm)
            Requires: rhevm >= 3.3.2
            Installed: rhevm-3.3.1-0.48.el6ev.noarch (@rhevm)
                rhevm = 3.3.1-0.48.el6ev
 Error: rhevm-setup-plugin-ovirt-engine conflicts with rhevm-3.3.1-0.48.el6ev.noarch
  You could try using --skip-broken to work around the problem
  You could try running: rpm -Va --nofiles --nodigest

Expected results:
success update rhevm-setup

Additional info:

Comment 1 Sandro Bonazzola 2014-03-04 09:30:06 UTC
We're missing a downstream only patch fixing requires on rhevm-3.3.1 instead of 3.3.2 here.

Comment 3 Itamar Heim 2014-06-12 14:09:11 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.